Description

This issue describes the 61968 Part 4 changes which are the only subset of the 61968 changes related to CIM Issue #5295 (Joint
issue on ACLineSegment physical modeling clarification).

Proposed Solution

At a high level the following are proposed:

WireSpacinglnfo - Repurpose class for use only in describing collections of wires carrying a single phase. Rename class to
IntrphaseSpacing, remove .isCable and .usage attributes, create new associations to ACLineSegmentPhase and WirePosition
to allow it to be used in the 3 templating approaches. Also remove no-longer-needed WireUsageKind class.

WirePhaselnfo - Remove class and its 3 associations. Relocate its only attribute (.phaselnfo) to the WirePosition class.
WireAssemblyInfo - Rename class and add 3 associations to allow it to serve as the only class supporting the description of
collections of wires carrying multiple phases.

Decision

Part 4 has been updated according to the proposed solution.

Release Notes
61968 changes

Change class name WireAssemblyInfo to WireAssembly
Change association role name PerLengthLineParameter.WireAssemblyInfo to PerLengthLineParameter.WireAssembly,
ensuring that association has PerLengthLineParameter as source and WireAssembly as target

Add association ACLineSegment.WireAssembly, ensuring that association has ACLineSegment as source and WireAssembly

as target

Add association WirePosition.WireAssembly, ensuring that association has WirePosition as source and WireAssembly as target
Change inheritance WireAssembly to inherit from IdentifiedObject instead of Assetinfo and move WireAssembly to the 61970

package

Move WirePosition to the 61970 package
Add association WirePosition.Wirelnfo ensuring that association has Wirelnfo as source and WirePosition as target as it crosses
the 61968/61970 boundary

Add attribute WirePosition.phase

Delete class WirePhaselnfo

Delete association WirePhaselnfo.WireAssemblylInfo
Delete association WirePhaselnfo.WirePosition
Delete association WirePhaselnfo.Wirelnfo

Delete attribute WireSpacinglnfo.isCable

Delete attribute WireSpacinglnfo.usage

Delete class WireUsageKind

Change class name WireSpacinglInfo to IntraphaseSpacing

Change attribute name WireSpacingInfo.phaseWireSpacing to IntraphaseSpacing.wireSpacing

Change attribute name WireSpacinglnfo.phaseWireCount to IntraphaseSpacing.wireCount

Delete association ACLineSegment.WireSpacinglnfo

Change association role name WirePositions.WireSpacingInfo to WirePosition.IntraphaseSpacing, ensuring that association has
WirePosition as source and IntraphaseSpacing as target

Add association IntraphaseSpacing.ACLineSegmentPhase ensuring that association has ACLineSegment as source and
IntraphaseSpacing as target

Change inheritance IntraphaseSpacing to inherit from IdentifiedObject instead of AssetInfo and move IntraphaseSpacing class
to 61970 package

See attached 2023-09-20 Device Datasheet ACLineSegment requested UML updates.docx for details on description changes.

Related issues:
Related to WG14 Issues - CIM Issues #5297: 5295:5297 61968 AssetInfo cleanup ... Open

History

#1 - 01/29/2022 05:41 PM - Pat Brown

- Release Notes updated

#2 - 01/29/2022 05:53 PM - Pat Brown
- Project changed from WG13 Issues to WG14 Part 4 Issues

- Subject changed from WG14 Part 4 WireAssemblyinfo and related changes to WG14 Part 4 WireAssemblylInfo and related changes related to Issue
#5297 - 61968 portion of #5295 - Joint issue on ACLineSegment physical modeling clarification

- Author/Contact Info set to Pat Brown
- Solution Applied By set to Pat Brown
- Standard(s) set to 61968-11, 61968-13

#3 - 01/30/2022 02:23 AM - Pat Brown
- File 2022-01-30 Device Datasheet ACLineSegment requested UML updates.docx added

- Subject changed from WG14 Part 4 WireAssemblyinfo and related changes related to Issue #5297 - 61968 portion of #5295 - Joint issue on
ACLineSegment physical modeling clarification to 5296:5297:5296 - WG 14 Part 4 WireAssemblylInfo and related cleanup for ACLineSegment physical
modeling

- Solution to be Applied To set to iec61970cim18v01_iec61968cim14v00_iec62325¢cim04v08_CIM101.0
- Proposed Solution updated
- CIM Impacted Groups WG13 added

#4 - 01/30/2022 02:24 AM - Pat Brown

- Breaking Change Description changed from WirePhaselnfo and WireUsageKind classes deleted, 2 classes renamed, 2 attributes deprecated, 4
associations deleted to WirePhaselnfo and WireUsageKind classes deleted, 2 classes renamed, 2 attributes deleted, 4 associations deleted

#5 - 01/30/2022 02:28 AM - Pat Brown

- Subject changed from 5296:5297:5296 - WG 14 Part 4 WireAssemblyInfo and related cleanup for ACLineSegment physical modeling to
5295:5297:5296 - WG14 Part 4 WireAssemblylinfo and related cleanup for ACLineSegment physical modeling
#6 - 01/30/2022 03:16 AM - Pat Brown

- Release Notes updated

#7 - 01/30/2022 04:12 AM - Pat Brown
- Standard(s) changed from 61968-11, 61968-13 to 61968-11, 61968-4

#8 - 09/23/2022 10:49 AM - Chuck DuBose
- Related to CIM Issues #5297: 5295:5297 61968 Assetinfo cleanup for ACLineSegment physical modeling added

#9 - 07/03/2023 09:10 AM - Shawn Hu

- Status changed from New to Open

#10 - 07/18/2023 07:51 AM - Shawn Hu
- Status changed from Open to Review

- Decision updated

#11 - 09/20/2023 09:50 AM - Pat Brown
- File 2023-09-20 Device Datasheet ACLineSegment requested UML updates.docx added
- File 2023-09-20 Device Datasheet ACLineSegment requested UML updates.docx added

- Release Notes updated

2023-09-20

Issue was updated to 1) remove the description updates to the IntraphaseSpacing (used to be WireSpacinglinfo) class and its remaining attributes, 2)
clarify that this issue includes the move of the following classes from the 61968 package to the 61970 package: WireAssembly (used to be
WireAssemblylnfo), WirePosition, IntraphaseSpacing (used to be WireSpacingInfo).

A new Redmine issue will be opened to address the possible revision of attributes present in the IntraphaseSpacing class.

#12 - 09/20/2023 09:50 AM - Pat Brown
- File deleted (2023-09-20 Device Datasheet ACLineSegment requested UML updates.docx)

Files

2021-11-29 Device Datasheet ACLineSegment requested UML updateis 2tb84B 01/29/2022 Pat Brown
2022-01-30 Device Datasheet ACLineSegment requested UML updatexs4bbiB 01/30/2022 Pat Brown
2023-09-20 Device Datasheet ACLineSegment requested UML updatex4bbiB 09/20/2023 Pat Brown
